Part Prism: Difference between revisions

From FreeCAD Documentation
(Module to Workbench renaming.)
(Mark as unfinished, insert basic structure and scripting section)
Line 1: Line 1:
<languages/>
<languages/>
{{UnfinishedDocu{{#translation:}}}}
<translate>
<translate>


Line 44: Line 45:
* {{PropertyData|First Angle}}: Angle in first direction. {{Version|0.19}}
* {{PropertyData|First Angle}}: Angle in first direction. {{Version|0.19}}
* {{PropertyData|Second Angle}}: Angle in second direction. {{Version|0.19}}
* {{PropertyData|Second Angle}}: Angle in second direction. {{Version|0.19}}

==Notes==

==Properties==

==Limitations==

==Scripting==

A Part Prism can be created with the following function:

</translate>
{{Code|code=
prism = FreeCAD.ActiveDocument.addObject("Part::Prism", "my Prism")
}}
<translate>

* Where {{Incode|"my Prism"}} is the name for the object.
* The function returns the newly created object.

The name of the object can be easily changed by

</translate>
{{Code|code=
prism.Label = "new prismName"
}}
<translate>

You can access and modify attributes of the {{Incode|prism}} object. For example, you may wish to modify the x, y or z coordinate.

</translate>
{{Code|code=
point.X = 1
point.Y = 2
point.Z = 3
}}
<translate>

The result will be a new location of the point with the given coordinates.

You can change its placement and orientation with:

</translate>
{{Code|code=
point.Placement= FreeCAD.Placement(FreeCAD.Vector(0.00,0.00,0.00),App.Rotation(App.Vector(0.00,0.00,1.00),0.00))
}}
<translate>





Revision as of 19:46, 8 February 2022

This documentation is not finished. Please help and contribute documentation.

GuiCommand model explains how commands should be documented. Browse Category:UnfinishedDocu to see more incomplete pages like this one. See Category:Command Reference for all commands.

See WikiPages to learn about editing the wiki pages, and go to Help FreeCAD to learn about other ways in which you can contribute.

Part Prism

Menu location
Part → Create primitives → Prism
Workbenches
Part
Default shortcut
None
Introduced in version
0.14
See also
Part Primitives, Part Box/Cube

Description

A Part Prism is a solid defined by a regular polygon cross section and a height.

Usage

  1. Open the Part Workbench.
  2. Press the Primitives button, or use the Part → Create primitives → Prism from the top menu.
  3. Select Prism in the dialog and set the parameters.

The prism properties can later be edited, either in the Property editor or by double-clicking the prism in the Tree view.

Properties

  • DataPolygon: The number of edges for the polygon that forms the base and top plane of the prism.
  • DataCircumradius : The distance from the center of the polygon to the prism edges.
  • DataHeight: The height is the distance in the z-axis.
  • DataFirst Angle: Angle in first direction. introduced in version 0.19
  • DataSecond Angle: Angle in second direction. introduced in version 0.19

Notes

Properties

Limitations

Scripting

A Part Prism can be created with the following function:

prism = FreeCAD.ActiveDocument.addObject("Part::Prism", "my Prism")
  • Where "my Prism" is the name for the object.
  • The function returns the newly created object.

The name of the object can be easily changed by

prism.Label = "new prismName"

You can access and modify attributes of the prism object. For example, you may wish to modify the x, y or z coordinate.

point.X = 1
point.Y = 2
point.Z = 3

The result will be a new location of the point with the given coordinates.

You can change its placement and orientation with:

point.Placement= FreeCAD.Placement(FreeCAD.Vector(0.00,0.00,0.00),App.Rotation(App.Vector(0.00,0.00,1.00),0.00))